{% raw %}

<script type="text/x-vue" name="expenses-by-item-report" data-nowrap>
  <div v-if="reportData">
    <div class="report-header">
      <h2 v-if="item" class="report-title">
        Podsumowanie opłat za rok {{ year }}:<br />
        {{ item.name }}
      </h2>
      <h2 v-else class="report-title">
        Podsumowanie opłat za rok {{ year }}<br />
        dla wszystkich artykułów
      </h2>
      <p>(kwoty {{ amountIndex == 0 ? 'netto' : 'brutto' }})</p>
    </div>
    <table class="table report-table">
      <thead>
        <tr>
          <th class="blank"></th>
          <th width="6.5%">Sty</th>
          <th width="6.5%">Lut</th>
          <th width="6.5%">Mar</th>
          <th width="6.5%">Kwi</th>
          <th width="6.5%">Maj</th>
          <th width="6.5%">Cze</th>
          <th width="6.5%">Lip</th>
          <th width="6.5%">Sie</th>
          <th width="6.5%">Wrz</th>
          <th width="6.5%">Paź</th>
          <th width="6.5%">Lis</th>
          <th width="6.5%">Gru</th>
          <th width="6.5%" class="blank"></th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="row in reportData.rows">
          <th scope="row">{{ row.locationName }}</th>
          <td v-for="(e, index) in row.expenses" :class="{ 'with-separator': !(index % 3) }" v-html="App.formatPrice(e[amountIndex])">
          </td>
          <td class="with-separator total" v-html="App.formatPrice(row.total[amountIndex])"></td>
        </tr>
        <tr>
          <td class="blank"></td>
          <td v-for="(e, index) in reportData.monthTotals" :class="{ 'with-separator': !(index % 3), 'total': true }" v-html="App.formatPrice(e[amountIndex])">
          </td>
          <td class="with-separator total">
            <strong v-html="App.formatPrice(reportData.total[amountIndex])"></strong>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</script>

<script type="text/x-vue" name="expenses-by-location-report" data-nowrap>
  <div v-if="reportData">
    <div class="report-header">
      <h2 v-if="location" class="report-title">
        Podsumowanie opłat za rok {{ year }}:<br />
        {{ location.name }}
      </h2>
      <h2 v-else class="report-title">
        Podsumowanie opłat za rok {{ year }}<br />
        dla wszystkich filii
      </h2>
      <p>(kwoty {{ amountIndex == 0 ? 'netto' : 'brutto' }})</p>
    </div>
    <table class="table report-table">
      <thead>
        <tr>
          <th class="blank"></th>
          <th width="6.5%">Sty</th>
          <th width="6.5%">Lut</th>
          <th width="6.5%">Mar</th>
          <th width="6.5%">Kwi</th>
          <th width="6.5%">Maj</th>
          <th width="6.5%">Cze</th>
          <th width="6.5%">Lip</th>
          <th width="6.5%">Sie</th>
          <th width="6.5%">Wrz</th>
          <th width="6.5%">Paź</th>
          <th width="6.5%">Lis</th>
          <th width="6.5%">Gru</th>
          <th width="6.5%" class="blank"></th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="row in reportData.rows">
          <th scope="row">{{ row.itemName }}</th>
          <td v-for="(e, index) in row.expenses" :class="{ 'with-separator': !(index % 3) }" v-html="App.formatPrice(e[amountIndex])">
          </td>
          <td class="with-separator total" v-html="App.formatPrice(row.total[amountIndex])"></td>
        </tr>
        <tr>
          <td class="blank"></td>
          <td v-for="(e, index) in reportData.monthTotals" :class="{ 'with-separator': !(index % 3), 'total': true }" v-html="App.formatPrice(e[amountIndex])">
          </td>
          <td class="with-separator total">
            <strong v-html="App.formatPrice(reportData.total[amountIndex])"></strong>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</script>

<script type="text/x-vue" name="consumption-by-item-report" data-nowrap>
  <div v-if="reportData">
    <div class="report-header">
      <h2 class="report-title">
        Podsumowanie zużycia za rok {{ year }}:<br />
        {{ item.name }} (<span v-html="item.unit.symbolHtml"></span>)
      </h2>
    </div>
    <table class="table report-table">
      <thead>
        <tr>
          <th class="blank"></th>
          <th width="6.5%">Sty</th>
          <th width="6.5%">Lut</th>
          <th width="6.5%">Mar</th>
          <th width="6.5%">Kwi</th>
          <th width="6.5%">Maj</th>
          <th width="6.5%">Cze</th>
          <th width="6.5%">Lip</th>
          <th width="6.5%">Sie</th>
          <th width="6.5%">Wrz</th>
          <th width="6.5%">Paź</th>
          <th width="6.5%">Lis</th>
          <th width="6.5%">Gru</th>
          <th width="6.5%" class="blank"></th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="row in reportData.rows">
          <th scope="row">{{ row.locationName }}</th>
          <td v-for="(value, index) in row.values" :class="{ 'with-separator': !(index % 3) }" v-html="value">
          </td>
          <td class="with-separator total" v-html="row.total"></td>
        </tr>
        <tr>
          <td class="blank"></td>
          <td v-for="(value, index) in reportData.monthTotals" :class="{ 'with-separator': !(index % 3), 'total': true }" v-html="value">
          </td>
          <td class="with-separator total">
            <strong v-html="reportData.total"></strong>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</script>

{% endraw %}

